# Uses of Interface
org.apache.cxf.endpoint.Server

Packages that use Server
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature
org.apache.cxf.feature.validation

- ## Uses of Server in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return types with arguments of type Server
  Modifier and Type
  Method
  Description
  `List<Server>`
  ServerRegistryImpl.`getServers()`
  Methods in org.apache.cxf.bus.managers with parameters of type Server
  Modifier and Type
  Method
  Description
  `void`
  ServerRegistryImpl.`register(Server server)`
  `void`
  ServerLifeCycleManagerImpl.`startServer(Server server)`
  `void`
  ServerLifeCycleManagerImpl.`stopServer(Server server)`
  `void`
  ServerRegistryImpl.`unregister(Server server)`

- ## Uses of Server in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type Server
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBindingFeature.Portable.`initialize(Server server, Bus bus)`

- ## Uses of Server in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement Server
  Modifier and Type
  Class
  Description
  `class`
  `ServerImpl`
  Fields in org.apache.cxf.endpoint declared as Server
  Modifier and Type
  Field
  Description
  `protected final Server`
  ManagedEndpoint.`server`
  Methods in org.apache.cxf.endpoint that return types with arguments of type Server
  Modifier and Type
  Method
  Description
  `List<Server>`
  ServerRegistry.`getServers()`
  Methods in org.apache.cxf.endpoint with parameters of type Server
  Modifier and Type
  Method
  Description
  `void`
  ServerRegistry.`register(Server server)`
  `void`
  ManagedEndpoint.`startServer(Server s)`
  `void`
  ServerLifeCycleListener.`startServer(Server server)`
  `void`
  ServerLifeCycleManager.`startServer(Server server)`
  `void`
  ManagedEndpoint.`stopServer(Server s)`
  `void`
  ServerLifeCycleListener.`stopServer(Server server)`
  `void`
  ServerLifeCycleManager.`stopServer(Server server)`
  `void`
  ServerRegistry.`unregister(Server server)`
  Constructors in org.apache.cxf.endpoint with parameters of type Server
  Modifier
  Constructor
  Description
  ``
  `ManagedEndpoint(Bus b, Endpoint ep, Server s)`

- ## Uses of Server in org.apache.cxf.feature

  Methods in org.apache.cxf.feature with parameters of type Server
  Modifier and Type
  Method
  Description
  `default void`
  AbstractPortableFeature.`initialize(Server server, Bus bus)`
  `void`
  DelegatingFeature.`initialize(Server server, Bus bus)`
  `void`
  Feature.`initialize(Server server, Bus bus)`
  `void`
  WrappedFeature.`initialize(Server server, Bus bus)`

- ## Uses of Server in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation with parameters of type Server
  Modifier and Type
  Method
  Description
  `void`
  SchemaValidationFeature.Portable.`initialize(Server server, Bus bus)`